> For the complete documentation index, see [llms.txt](https://docs.pollsapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pollsapi.com/api/get-polls-by-identifer.md).

# Get polls by identifer

The max limit that can be used is 100, anything above it would be disregarded.

> We love our servers, like everyone else, which is why this API sends our paginated response. You can pass in **offset & limit** to fetch polls in bulk as pages.&#x20;
>
> There is a max limit of 100, so even if you pass *`?limit=150`  it will only send at max 100.*

## Get polls by identifier

<mark style="color:blue;">`GET`</mark> `https://api.pollsapi.com/v1/get/polls-with-identifier/{identifier}?offset=0&limit=25`

Fetch all the polls by the custom identifier property

#### Path Parameters

| Name       | Type   | Description                                       |
| ---------- | ------ | ------------------------------------------------- |
| identifier | string | Identifier for which all polls need to be fetched |

#### Query Parameters

| Name   | Type   | Description                                             |
| ------ | ------ | ------------------------------------------------------- |
| offset | number | Number of items to be skipped                           |
| limit  | number | Number of items to be fetched, default is 25 (Max: 100) |

#### Headers

| Name    | Type   | Description              |
| ------- | ------ | ------------------------ |
| api-key | string | API Key for your account |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```javascript
{
  "status": "success",
  "statusCode": 200,
  "data": {
    "docs": [],
    "totalDocs": 0,
    "offset": 0,
    "limit": 25,
    "totalPages": 1,
    "page": 1,
    "pagingCounter": 1,
    "hasPrevPage": false,
    "hasNextPage": false,
    "prevPage": null,
    "nextPage": null
  }
}

```

{% endtab %}
{% endtabs %}

### Example cURL Request

```bash
curl https://api.pollsapi.com/v1/get/polls-with-identifier \
  -H "content-type: application/json" \
  -H "api-key: $API_KEY"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pollsapi.com/api/get-polls-by-identifer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
